<template>
    <div class="toast-container position-fixed bottom-0 end-0 p-3">
        <div v-for="(notify,index) in data.toast" :key="index" :ref="'toast'+index" class="toast" role="alert" aria-live="assertive" aria-atomic="true">
            <div class="toast-header">
                <strong class="me-auto">Notificación</strong>
                <!-- <button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button> -->
                <button type="button" class="btn-close" aria-label="Close"></button>
            </div>
            <div class="toast-body">
                {{notify.msg}}
            </div>
        </div>
    </div>
</template>

<script setup lang="ts">
import { reactive } from 'vue';

const data = reactive({
    toast: [] as {msg: string}[]
});

async function addNotification(){
// this.toasts.push({msg: msg});
// await nextTick();
// var index = this.toasts.length-1;
// var toastElem = this.$refs['toast'+index][0];
// var toast = Toast.getOrCreateInstance(toastElem);
// toastElem.addEventListener('hidden.bs.toast', () => {
//     this.toasts.splice(index,1);
// });
// toast.show();
}

defineExpose({
    addNotification
});
</script>
